Get Vcf Certificate Authorities

Get Vcf Certificate Authorities
Get Certificates Authorities

This API will be invoked by VCF UI to show Configured CA

Request
URI
GET
https://{api_host}/suite-api/api/fleet-management/certificate-management/certificate-authorities
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Get Configured CA for VCF

Returns VcfCASpecification of type(s) application/json
"{\n  \"microsoftCertificateAuthoritySpec\" : {\n    \"serverUrl\" : \"https://ad.server.com/certsrv\",\n    \"username\" : \"ca_user\",\n    \"secret\" : \"secret\",\n    \"templateName\" : \"VMwareTemplate\"\n  }\n}"
object
microsoftCertificateAuthoritySpec
Optional

Represents Microsoft Certificate Authority

object
openSSLCertificateAuthoritySpec
Optional

Represents OpenSSL Certificate Authority


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/fleet-management/certificate-management/certificate-authorities